using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using FTPAttachments;

public partial class Delete : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e){ }

	protected void btnDelete_Click(object sender, EventArgs e)
	{
		if (edAttachmentID.Text != "")
		{
			FTPAttachmentsWebService10 WebService10 = FTPService.GetServiceFromSession(Request);
			if (WebService10 != null)
			{
				//Delete FTPAttachments.
				string[] arrIDs = (edAttachmentID.Text).Split(',');
				Result[] arrResult = WebService10.DeleteAttachment(arrIDs);

				//Check whether deletion was sucessful or errors occured.
				if (arrResult != null && arrResult.Length > 0)
				{
					lbError.Text = "";
					for (int iResult = 0; iResult < arrResult.Length; iResult++)
						lbError.Text += arrResult[iResult].ErrorMsg + "<br>";
				}				
			}
			else
				lbError.Text = "Service not available.";
		}
		else
			lbError.Text = "Please enter comma separated list of Attachment ID for files to be deleted";
	}
}
