using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

using FTPAttachments;

public partial class Test : System.Web.UI.Page
{
	protected Result[] m_arrResult = null;
    protected void Page_Load(object sender, EventArgs e)
    {
		lbError.Text = "";
		//String UpPath;
		//UpPath = "D:\\TempFile";

		//if (!Directory.Exists(UpPath))
		//{
		//    Directory.CreateDirectory("D:\\TempFile\\");
		//}
    }
	protected void btnSubmit_Click(object sender, EventArgs e)
	{
		#region old
		//HttpFileCollection uplodedFiles = Request.Files;
		//for (int iIndex = 0; iIndex < uplodedFiles.Count; iIndex++)
		//{
		//    HttpPostedFile file = uplodedFiles[iIndex];
		//    string c = System.IO.Path.GetFileName(file.FileName); // We don't need the path, just the name.
		//    try
		//    {
		//        file.SaveAs("D:\\TempFile\\" + c);
		//        lbError.Text = "Upload(s) Successful.";
		//    }
		//    catch (Exception Exp)
		//    {
		//        lbError.Text = "Upload(s) FAILED."+Exp.Message;
		//    }
		//}
		#endregion
		HttpFileCollection uplodedFiles = Request.Files;
		//FTPAttachmentsWebService10 WebService10 = new FTPAttachmentsWebService10();
		FTPAttachmentsWebService10 WebService10 = FTPService.GetServiceFromSession(Request);
		if (WebService10 != null)
		{
			//Create and initialize WebServiceHeader.
			
			//WebServiceHeader header = new WebServiceHeader();
			//header.SFSessionID = Request["SFSessionID"];
			//header.SFUrl = Request["SFUrl"];
			//WebService10.WebServiceHeaderValue = header;
			int iCount = uplodedFiles.Count;
			for (int iIndex = 0; iIndex < iCount; iIndex++)
			{				
				try
				{							
					FTPAttachments.FTPAttachments[] arrFTPAttachments = new FTPAttachments.FTPAttachments[iCount];

					//Create array of parents.							
					FTPAttachmentParent[] arrParent = new FTPAttachmentParent[1];
					FTPAttachmentParent parent = new FTPAttachmentParent();
					parent.FieldName = Request["FieldName"];
					parent.ID = Request["FieldValue"];
					arrParent[0] = parent;
					
					//Create and Fill data into array of FTPAttachments.
					for (iIndex = 0; iIndex < iCount; iIndex++)
					{
						HttpPostedFile uploadedFile = uplodedFiles[iIndex];

						//String strFileName = file.FileName;
						String strFileName = System.IO.Path.GetFileName(uploadedFile.FileName);
						String strFilePath = Request.PhysicalApplicationPath + "App_Data\\Temp\\" + strFileName;
						uploadedFile.SaveAs(strFilePath);

						arrFTPAttachments[iIndex] = new FTPAttachments.FTPAttachments();						
						try{arrFTPAttachments[iIndex].Body = System.Convert.ToBase64String(File.ReadAllBytes(strFilePath));}
						catch (Exception ex){lbError.Text = "Error in reading file from local disc<br>." + ex.Message;}
						arrFTPAttachments[iIndex].Comment = edComment.Text;
						arrFTPAttachments[iIndex].Folder = "";
						arrFTPAttachments[iIndex].IsPublic = chkIsPublic.Checked;
						arrFTPAttachments[iIndex].Parents = arrParent;
						arrFTPAttachments[iIndex].FileName = strFileName;
						arrFTPAttachments[iIndex].ServerProfile = "Default";
					}

					//Attach FTPAttachments.
					string strUploadID = Guid.NewGuid().ToString();
					m_arrResult = WebService10.Attach(arrFTPAttachments);

					//Check whether attachments are sucessfully attached or not.
					if (m_arrResult != null)
					{
						for (int iResult = 0; iResult < m_arrResult.Length; iResult++)
							lbError.Text += "<br>" + m_arrResult[iResult].ErrorMsg;
					}
				}
				catch (Exception ex)
				{
					lbError.Text = ex.Message;
				}
			}
		}
			else
				lbError.Text = "Service not found.";	
	}
}
